ubuntu-location-service: com::ubuntu::location::service::Stub Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | List of all members
com::ubuntu::location::service::Stub Class Reference

`#include <stub.h>`

Inheritance diagram for com::ubuntu::location::service::Stub:
Collaboration diagram for com::ubuntu::location::service::Stub:

## Public Member Functions
| Stub (const dbus::Bus::Ptr &connection)
| Stub (const Stub &)=delete
Stub & | operator= (const Stub &)=delete
| ~Stub () noexcept
session::Interface::Ptr | create_session_for_criteria (const Criteria &criteria)
const core::Property< State > & | state () const
core::Property< bool > & | does_satellite_based_positioning ()
core::Property< bool > & | does_report_cell_and_wifi_ids ()
core::Property< bool > & | is_online ()
core::Property< std::map< SpaceVehicle::Key, SpaceVehicle > > & | visible_space_vehicles ()

## Detailed Description

Definition at line 34 of file stub.h.

## Constructor & Destructor Documentation

## ◆ Stub() [1/2]

com::ubuntu::location::service::Stub::Stub | ( | const dbus::Bus::Ptr & | connection | ) |

## ◆ Stub() [2/2]

com::ubuntu::location::service::Stub::Stub | ( | const Stub & |  | ) |
| delete

## ◆ ~Stub()

com::ubuntu::location::service::Stub::~Stub | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ create_session_for_criteria()

session::Interface::Ptr com::ubuntu::location::service::Stub::create_session_for_criteria | ( | const Criteria & | criteria | ) |

## ◆ does_report_cell_and_wifi_ids()

core::Property<bool>& com::ubuntu::location::service::Stub::does_report_cell_and_wifi_ids | ( |  | ) |

## ◆ does_satellite_based_positioning()

core::Property<bool>& com::ubuntu::location::service::Stub::does_satellite_based_positioning | ( |  | ) |

## ◆ is_online()

core::Property<bool>& com::ubuntu::location::service::Stub::is_online | ( |  | ) |

## ◆ operator=()

Stub& com::ubuntu::location::service::Stub::operator= | ( | const Stub & |  | ) |
| delete

## ◆ state()

const core::Property<State>& com::ubuntu::location::service::Stub::state | ( |  | ) | const

## ◆ visible_space_vehicles()

core::Property<std::map<SpaceVehicle::Key, SpaceVehicle> >& com::ubuntu::location::service::Stub::visible_space_vehicles | ( |  | ) |

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/stub.h